package com.goafanti.customer.bo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class PublicReleaseListBo {

    private Integer prdId;
    private String uid;
    private String ufid;
    /**
     * 公出时间
     */
    private String releaseStarts;
    /**
     * 公出时长
     */
    private String duration;
    /**
     * 公出发起人
     */
    private String aname;
    private Integer assist;
    /**
     * 协单人
     */
    private String assistAidName;
    /**
     * 协单助手
     */
    private String assistantName;
    /**
     * 公出备注
     */
    private String remarks;
    /**
     * 公出补充
     */
    private String supplement;
    /**
     * 公出计划
     */
    private String plan;
    /**
     * 下次计划
     */
    private String nextPlan;

    /**
     * 预计效果
     */
    private String expectedEffect;
    private String assistantAid;
    /**
     * 跟进人
     */
    private String followName;
    /**
     * 跟进部门
     */
    private String followDep;
    /**
     * 跟进结果
     */
    private String result;
    /**
     * 联系类型  0外出 1.电话 2.QQ 3.微信4邮件 5公出打卡 6来访面谈
     */
    private Integer contactType;
    /**
     * 跟进时间
     */
    private Date followTime;
    /**
     * 跟进次数
     */
    private Integer followCount;

    public Integer getPrdId() {
        return prdId;
    }

    public void setPrdId(Integer prdId) {
        this.prdId = prdId;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getUfid() {
        return ufid;
    }

    public void setUfid(String ufid) {
        this.ufid = ufid;
    }

    public String getReleaseStarts() {
        return releaseStarts;
    }

    public void setReleaseStarts(String releaseStarts) {
        this.releaseStarts = releaseStarts;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    public Integer getAssist() {
        return assist;
    }

    public void setAssist(Integer assist) {
        this.assist = assist;
    }

    public String getAssistantName() {
        return assistantName;
    }

    public void setAssistantName(String assistantName) {
        this.assistantName = assistantName;
    }

    public String getAssistAidName() {
        return assistAidName;
    }

    public void setAssistAidName(String assistAidName) {
        this.assistAidName = assistAidName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getSupplement() {
        return supplement;
    }

    public void setSupplement(String supplement) {
        this.supplement = supplement;
    }

    public String getPlan() {
        return plan;
    }

    public void setPlan(String plan) {
        this.plan = plan;
    }

    public String getNextPlan() {
        return nextPlan;
    }

    public void setNextPlan(String nextPlan) {
        this.nextPlan = nextPlan;
    }

    public String getExpectedEffect() {
        return expectedEffect;
    }

    public void setExpectedEffect(String expectedEffect) {
        this.expectedEffect = expectedEffect;
    }

    public String getAssistantAid() {
        return assistantAid;
    }

    public void setAssistantAid(String assistantAid) {
        this.assistantAid = assistantAid;
    }

    public String getFollowName() {
        return followName;
    }

    public void setFollowName(String followName) {
        this.followName = followName;
    }

    public String getFollowDep() {
        return followDep;
    }

    public void setFollowDep(String followDep) {
        this.followDep = followDep;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Integer getContactType() {
        return contactType;
    }

    public void setContactType(Integer contactType) {
        this.contactType = contactType;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getFollowTime() {
        return followTime;
    }

    public void setFollowTime(Date followTime) {
        this.followTime = followTime;
    }

    public Integer getFollowCount() {
        return followCount;
    }

    public void setFollowCount(Integer followCount) {
        this.followCount = followCount;
    }
}
